Package twisted :: Package manhole :: Package ui :: Module spelunk_gnome :: Class PairList |
[frames | no frames]

## Class PairList

    UserList --+
               |
              PairList

An ordered list of key, value pairs.

Kinda like an ordered dictionary. Made with small data sets in mind, as get() does a linear search, not hashing.

Method Summary
| `get(self, key)`
| `keys(self)`
Inherited from UserList
| `__init__(...)`
| `__add__(...)`
| `__cmp__(...)`
| `__contains__(...)`
| `__delitem__(...)`
| `__delslice__(...)`
| `__eq__(...)`
| `__ge__(...)`
| `__getitem__(...)`
| `__getslice__(...)`
| `__gt__(...)`
| `__iadd__(...)`
| `__imul__(...)`
| `__le__(...)`
| `__len__(...)`
| `__lt__(...)`
| `__mul__(...)`
| `__ne__(...)`
| `__radd__(...)`
| `__repr__(...)`
| `__rmul__(...)`
| `__setitem__(...)`
| `__setslice__(...)`
| `append(...)`
| `count(...)`
| `extend(...)`
| `index(...)`
| `insert(...)`
| `pop(...)`
| `remove(...)`
| `reverse(...)`
| `sort(...)`

Generated by Epydoc 2.0 on Sat Oct 25 00:55:06 2003 | http://epydoc.sf.net